gda-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details.

Basic data model class.

To be added GLib.Object GLib.IWrapper System.IDisposable
- Method
  System.Void To be added To be added
- Method
  System.String

  Converts the given model into a comma-separated series of rows.

  a To be added
- Method
  System.String ``

  Returns the title for the given column in a data model object.

  a a To be added
- Method
  System.Void ``

  Emits the 'row_inserted' and 'changed' signals on model.

  a To be added
- Method
  System.Boolean To be added a To be added
- Method
  System.Void

  Disables notifications of changes on the given data model. To re-enable notifications again, you should call the method.

  To be added
- Method
  System.Boolean To be added a To be added
- Method
  System.Void

  Notifies listeners of the given data model object of changes in the underlying data. Listeners usually will connect themselves to the "changed" signal in the class, thus being notified of any new data being appended or removed from the data model.

  To be added
- Method
  System.Int32 ``

  Gets the position of a column on the data model, based on the column's title.

  a a the position of the column in the data model, or -1 if the column could not be found. To be added
- Method
  System.Void ``

  Emits the 'row_removed' and 'changed' signal on model.

  a To be added
- Method
  System.Boolean To be added a To be added
- Method
  Gda.Row ``

  Retrieves a given row from a data model.

  a a To be added
- Method
  System.Void `` ``

  Sets the title of the given col in data model object.

  a a To be added
- Method
  Gda.FieldAttributes `` Queries the underlying data model implementation for a description of a given column. That description is returned in the form of a structure, which contains all the information about the given column in the data model. a a which contains all information about the given column in the data model. To be added
- Method
  Gda.Row ``

  Appends a row to the given data model.

  a a To be added
- Method
  System.Boolean ``

  Updates a row data model.

  a a true if successful, false otherwise.

  This results in the underlying database row's values being changed.

- Method
  System.Boolean ``

  Removes a row from the data model.

  a a true if successfu, false otherwise.

  This results in the underlying database row being removed in the database.

- Method
  System.String ``

  Converts the given model into a XML representation.

  a a To be added
- Method
  System.Void ``

  Calls the specified callback function for each row in the data model. This will just traverse all rows, and call the given callback function for each of them.

  a To be added
- Method
  System.Void

  Re-enables notifications of changes on the given data model.

  To be added
- Method
  System.Void ``

  Emits the 'row_updated' and 'changed' signals on model.

  a To be added
- Method
  System.String

  Converts the given model into a tab-separated series of rows.

  a To be added
- Method
  Gda.Value `` ``

  Retrieves the data stored in the given position (identified by the col and row parameters) on a data model.

  a a a containing the value stored in the given position, or null on error.

  This is the main function for accessing data in a model.

- Constructor
  To be added
  a
  a
  To be added
- Property
  System.Int32

  Returns the number of rows in the given data model.

  a To be added
- Property
  Gda.CommandType

  Gets the type of command that generated this data model.

  Sets the type of command that generated this data model.

  a To be added
- Property
  System.String

  Gets the text of command that generated this data model.

  Sets the command text of the given model.

  a To be added
- Property
  System.Int32

  Returns the number of columns in the given data model.

  a To be added
- Event
  System.EventHandler To be added To be added
- Event
  Gda.RowInsertedEventHandler To be added To be added
- Event
  Gda.RowRemovedEventHandler To be added To be added
- Event
  Gda.RowUpdatedEventHandler To be added To be added
- Event
  System.EventHandler To be added To be added
- Event
  System.EventHandler To be added To be added
- Event
  System.EventHandler To be added To be added
- Property
  System.Boolean To be added a To be added
- Property
  System.Boolean To be added a To be added
- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  To be added
  a
  To be added